Package com.sun.jna.platform.win32

## Class WinBase.DCB.DCBControllBits

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.platform.win32.WinDef.DWORD
      - - com.sun.jna.platform.win32.WinBase.DCB.DCBControllBits

All Implemented Interfaces:
  `NativeMapped`, `java.io.Serializable`, `java.lang.Comparable<WinDef.DWORD>`

Enclosing class:
  WinBase.DCB

    public static class WinBase.DCB.DCBControllBits
    extends WinDef.DWORD

Type is used to handle the bitfield of the DBC structure.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.sun.jna.platform.win32.WinDef.DWORD

`SIZE`

### Constructor Summary

Constructors
`DCBControllBits()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `getfAbortOnError()`
`boolean` `getfBinary()`
`boolean` `getfDsrSensitivity()`
`int` `getfDtrControl()`
`int` `getfDummy2()`
`boolean` `getfErrorChar()`
`boolean` `getfInX()`
`boolean` `getfNull()`
`boolean` `getfOutX()`
`boolean` `getfOutxCtsFlow()`
`boolean` `getfOutxDsrFlow()`
`boolean` `getfParity()`
`int` `getfRtsControl()`
`boolean` `getfTXContinueOnXoff()`
`void` `setfAbortOnError​(boolean fAbortOnError)` If this member is TRUE, the driver terminates all read and write operations with an error status if an error occurs. The driver will not accept any further communications operations until the application has acknowledged the error by calling the ClearCommError function.
`void` `setfBinary​(boolean fBinary)` If this member is TRUE, binary mode is enabled. Windows does not support nonbinary mode transfers, so this member must be TRUE.
`void` `setfDsrSensitivity​(boolean fDsrSensitivity)` If this member is TRUE, the communications driver is sensitive to the state of the DSR signal. The driver ignores any bytes received, unless the DSR modem input line is high.
`void` `setfDtrControl​(int fOutxDsrFlow)` The DTR (data-terminal-ready) flow control.
`void` `setfErrorChar​(boolean fErrorChar)` Indicates whether bytes received with parity errors are replaced with the character specified by the ErrorChar member. If this member is TRUE and the fParity member is TRUE, replacement occurs.
`void` `setfInX​(boolean fInX)` Indicates whether XON/XOFF flow control is used during reception. If this member is TRUE, the XoffChar character is sent when the input buffer comes within XoffLim bytes of being full, and the XonChar character is sent when the input buffer comes within XonLim bytes of being empty.
`void` `setfNull​(boolean fNull)` If this member is TRUE, null bytes are discarded when received.
`void` `setfOutX​(boolean fOutX)` Indicates whether XON/XOFF flow control is used during transmission.
`void` `setfOutxCtsFlow​(boolean fOutxCtsFlow)` If this member is TRUE, the CTS (clear-to-send) signal is monitored for output flow control. If this member is TRUE and CTS is turned off, output is suspended until CTS is sent again.
`void` `setfOutxDsrFlow​(boolean fOutxDsrFlow)` If this member is TRUE, the DSR (data-set-ready) signal is monitored for output flow control. If this member is TRUE and DSR is turned off, output is suspended until DSR is sent again.
`void` `setfParity​(boolean fParity)` If this member is TRUE, parity checking is performed and errors are reported.
`void` `setfRtsControl​(int fRtsControl)` The RTS (request-to-send) flow control.

`void`

`setfTXContinueOnXoff​(boolean fTXContinueOnXoff)`

If this member is TRUE, transmission continues after the input buffer has come within XoffLim bytes of being full and the driver has transmitted the XoffChar character to stop receiving bytes.
If this member is FALSE, transmission does not continue until the input buffer is within XonLim bytes of being empty and the driver has transmitted the XonChar character to resume reception.

`java.lang.String` `toString()`

### Methods inherited from class com.sun.jna.platform.win32.WinDef.DWORD

`compareTo, getHigh, getLow`

### Methods inherited from class com.sun.jna.IntegerType

`compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DCBControllBits

    public DCBControllBits()

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `IntegerType`

#### getfAbortOnError

    public boolean getfAbortOnError()

#### getfBinary

    public boolean getfBinary()

#### getfDsrSensitivity

    public boolean getfDsrSensitivity()

#### getfDtrControl

    public int getfDtrControl()

#### getfErrorChar

    public boolean getfErrorChar()

#### getfInX

    public boolean getfInX()

#### getfNull

    public boolean getfNull()

#### getfOutX

    public boolean getfOutX()

#### getfOutxCtsFlow

    public boolean getfOutxCtsFlow()

#### getfOutxDsrFlow

    public boolean getfOutxDsrFlow()

#### getfParity

    public boolean getfParity()

#### getfRtsControl

    public int getfRtsControl()

#### getfDummy2

    public int getfDummy2()

#### getfTXContinueOnXoff

    public boolean getfTXContinueOnXoff()

#### setfAbortOnError

    public void setfAbortOnError​(boolean fAbortOnError)

If this member is TRUE, the driver terminates all read and write operations with an error status if an error occurs.
The driver will not accept any further communications operations until the application has acknowledged the error by calling the ClearCommError function.

Parameters:
  `fAbortOnError` -

#### setfBinary

    public void setfBinary​(boolean fBinary)

If this member is TRUE, binary mode is enabled.
Windows does not support nonbinary mode transfers, so this member must be TRUE.

Parameters:
  `fBinary` -

#### setfDsrSensitivity

    public void setfDsrSensitivity​(boolean fDsrSensitivity)

If this member is TRUE, the communications driver is sensitive to the state of the DSR signal.
The driver ignores any bytes received, unless the DSR modem input line is high.

Parameters:
  `fDsrSensitivity` -

#### setfDtrControl

    public void setfDtrControl​(int fOutxDsrFlow)

The DTR (data-terminal-ready) flow control. This member can be one of the following values.
`WinBase.DTR_CONTROL_DISABLE`
`WinBase.DTR_CONTROL_ENABLE`
`WinBase.DTR_CONTROL_HANDSHAKE`

Parameters:
  `fOutxDsrFlow` - value to set

#### setfErrorChar

    public void setfErrorChar​(boolean fErrorChar)

Indicates whether bytes received with parity errors are replaced with the character specified by the ErrorChar member.
If this member is TRUE and the fParity member is TRUE, replacement occurs.

Parameters:
  `fErrorChar` -

#### setfInX

    public void setfInX​(boolean fInX)

Indicates whether XON/XOFF flow control is used during reception.
If this member is TRUE, the XoffChar character is sent when the input buffer comes within XoffLim bytes of being full, and the XonChar character is sent when the input buffer comes within XonLim bytes of being empty.

Parameters:
  `fInX` -

#### setfNull

    public void setfNull​(boolean fNull)

If this member is TRUE, null bytes are discarded when received.

Parameters:
  `fNull` -

#### setfOutX

    public void setfOutX​(boolean fOutX)

Indicates whether XON/XOFF flow control is used during transmission.
If this member is TRUE, transmission stops when the XoffChar character is received and starts again when the XonChar character is received.

Parameters:
  `fOutX` -

#### setfOutxCtsFlow

    public void setfOutxCtsFlow​(boolean fOutxCtsFlow)

If this member is TRUE, the CTS (clear-to-send) signal is monitored for output flow control.
If this member is TRUE and CTS is turned off, output is suspended until CTS is sent again.

Parameters:
  `fOutxCtsFlow` -

#### setfOutxDsrFlow

    public void setfOutxDsrFlow​(boolean fOutxDsrFlow)

If this member is TRUE, the DSR (data-set-ready) signal is monitored for output flow control.
If this member is TRUE and DSR is turned off, output is suspended until DSR is sent again.

Parameters:
  `fOutxDsrFlow` -

#### setfParity

    public void setfParity​(boolean fParity)

If this member is TRUE, parity checking is performed and errors are reported.

Parameters:
  `fParity` -

#### setfRtsControl

    public void setfRtsControl​(int fRtsControl)

The RTS (request-to-send) flow control. This member can be one of the following values.
`WinBase.RTS_CONTROL_DISABLE`
`WinBase.RTS_CONTROL_ENABLE`
`WinBase.RTS_CONTROL_HANDSHAKE`
`WinBase.RTS_CONTROL_TOGGLE`

Parameters:
  `fRtsControl` -

#### setfTXContinueOnXoff

    public void setfTXContinueOnXoff​(boolean fTXContinueOnXoff)

If this member is TRUE, transmission continues after the input buffer has come within XoffLim bytes of being full and the driver has transmitted the XoffChar character to stop receiving bytes.
If this member is FALSE, transmission does not continue until the input buffer is within XonLim bytes of being empty and the driver has transmitted the XonChar character to resume reception.

Parameters:
  `fTXContinueOnXoff` -